Subject: Re: bug#41708: "guix weather" : 504 error

From: zimoun <[email-masked]>
Date: Sat, 13 Jun 2020 19:55:55 +0200

Hi Chris,

On Sat, 13 Jun 2020 at 17:23, Christopher Baines <[email-masked]> wrote:

> I've now deployed the change to Bayfront, let me know if you see a
> difference? :)

Yes! :-)

--8<---------------cut here---------------start------------->8---
$ guix weather guix --substitute-urls='https://ci.guix.gnu.org https://bayfront.guix.gnu.org'
computing 1 package derivations for x86_64-linux...

looking for 1 store items on https://ci.guix.gnu.org...
https://ci.guix.gnu.org
  100.0% substitutes available (1 out of 1)
  at least 106.4 MiB of nars (compressed)
  278.7 MiB on disk (uncompressed)
  0.002 seconds per request (0.0 seconds in total)
  543.8 requests per second
  'https://ci.guix.gnu.org/api/queue?nr=1000' returned 504 ("Gateway Time-out")

looking for 1 store items on https://bayfront.guix.gnu.org...
https://bayfront.guix.gnu.org
  100.0% substitutes available (1 out of 1)
  at least 106.3 MiB of nars (compressed)
  278.6 MiB on disk (uncompressed)
  0.001 seconds per request (0.0 seconds in total)
  791.8 requests per second

  at least 1,000 queued builds
      x86_64-linux: 1000 (100.0%)
  build rate: 9.22 builds per hour
      x86_64-linux: 9.22 builds per hour
--8<---------------cut here---------------end--------------->8---

I will try a couple more of queries.  But I propose to push the patch on
Berlin too.  WDYT?

Cheers,
simon